extends Node
class_name Actor

var original_position: Vector2

@export_file("*.tscn") var original_scene: String

@export var health := 20

func _ready():
	original_position = get_parent().position

func _on_hurt_box_hurt(data):
	health -= data.damage
	if health <= 0:
		get_parent().visible = false
		get_parent().process_mode = PROCESS_MODE_DISABLED
