extends Node

@export var anim: AnimationPlayer

var attack_name
var done := false

func _ready():
	anim.animation_finished.connect(on_animation_finished)

func enter(p_attack_name):
	attack_name = p_attack_name
	anim.play(attack_name)
	done = false

func on_animation_finished(anim_name):
	print(anim_name)
	if anim_name == attack_name:
		done = true

func update(_delta):
	pass
