extends Node

@onready var actor := get_parent().get_parent()

@export var stop_curve: Curve
var time: float

func enter(_x):
	time = 0

func update(delta):
	actor.velocity.x = move_toward(actor.velocity.x, 0, stop_curve.sample(time) * delta)
	actor.move_and_slide()
