extends Node
class_name StateRun

@export var run_stats: RunStats
@export var jump_stats: JumpStats

@onready var actor = get_parent().get_parent()

# Set by owner
var direction := 0.0
var run_debug_stat = null

func enter(_args):
	pass

func update(delta):
	actor.velocity.x = run_stats.run(actor.velocity.x, direction, delta, run_debug_stat)
	actor.move_and_slide()

func jump():
	actor.velocity.y = - jump_stats.initial_velocity
	return jump_stats
