extends CheckButton

signal toggle_real(toggled_on: bool)

func _ready():
	var setup = func():
		# Let global initialize first
		button_pressed = Global.settings[name]
		toggled.connect(_on_toggled)
	setup.call_deferred()

func _on_toggled(toggled_on: bool):
	toggle_real.emit(toggled_on)
