extends Node

@onready var detect_box := $Detect
@onready var undetect_box := $Undetect

# Set and read by owner
var tracked = null

func _ready():
	detect_box.area_entered.connect(_on_detect_box_area_entered)
	undetect_box.area_exited.connect(_on_undetect_box_area_exited)

func _on_detect_box_area_entered(area):
	tracked = area

func _on_undetect_box_area_exited(area):
	if tracked == area:
		tracked = null
